be.ehealth.technicalconnector.service.sts.utils

## Class SAMLConverter

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.utils.SAMLConverter

-     public final class SAMLConverter
      extends Object

  The Class SAMLConverter.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Element` | `convert(Source stsResponse)` Method to convert a Source object to an Element object.
    `static Element` | `toElement(String assertion)` Method to convert an xml String to an Element object
    `static String` | `toXMLString(Element element)` Method to convert an Element object to a String representation

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toElement

          public static Element toElement(String assertion)
                                   throws TechnicalConnectorException

      Method to convert an xml String to an Element object
      Parameters:
        `assertion` - the assertion
      Returns:
        the element
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### toXMLString

          public static String toXMLString(Element element)
                                    throws TechnicalConnectorException

      Method to convert an Element object to a String representation
      Parameters:
        `element` - the element
      Returns:
        the string
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### convert

          public static Element convert(Source stsResponse)
                                 throws TechnicalConnectorException

      Method to convert a Source object to an Element object.
      Parameters:
        `stsResponse` - the sts response
      Returns:
        the element
      Throws:
        `TechnicalConnectorException` - the technical connector exception

Connector Packaging PERSNURSE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.